Kerbal Space Program - Bug #1629

Unjustified "Warning! Not enough ElectricCharge!"
10/25/2013 03:23 PM - boolybooly

Status: Closed Start date: 10/25/2013
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.22 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When sending large amounts of data with multiple antennae (6 active) and multiple batteries on board a craft previously assembled
in orbit (have not tested other cases) | get the message

"Warning! Not enough ElectricCharge!"
when one of the batteries runs out, despite there being more than enough charge in remaining batteries

To prove this | attach a screenshot which shows the empty battery contents and the warning message text in orange, as well as the
craft total resources drop down which shows electric charge of 7392 at the time the warning message was generated.

History

#1 - 10/25/2013 03:39 PM - boolybooly

PS in the message itself "Warning! Not Enough ElectricCharge!" there should probably be a space between Electric and Charge! If you check trhe
screeny you will see there isn't.

#2 - 10/27/2013 12:16 PM - Ruedii

It occures on Linux as well. | think it is multiplatform.
This happens when one battery runs out while other batteries of higher capacity still have enough energy

A very common example is if the command capsule or drone-core battery runs dead when there is a 2.5m 4K battery pack attached below it that has
plenty of charge.

Since power draw runs evenly to each battery and is not weighted by the amount of charge in the batteries, lower capacity batteries on the same ship
run dead first.

#3 - 11/01/2013 08:21 AM - pizzaoverhead

| believe this happens with all stackable resources, not just electric charge. You can see this effect with liquid fuel: When an engine depletes one tank
and moves on to another, for the frame in which the engine switches tanks, it briefly cuts out, playing the flameout sound and showing sparks.

#4 - 11/03/2013 01:38 PM - Kerolyov

- Status changed from New to Confirmed
- % Done changed from 0 to 10

- Platform Any added

- Platform deleted (Windows)

#5 - 12/06/2013 02:34 PM - Kerolyov

| need a craft file or save of this bug, could you guys upload a craft or save with a ship that has this issue? Thanks.

#6 - 12/06/2013 03:13 PM - boolybooly
- File Twin Probe.craft added

sure, just launch this (was in career) and press action group key "0", transmit 8 of the readings simultaneously, then the remaining ones (only has 8
antennae), repeat, its the top most small circular battery | think.

#7 - 12/28/2013 11:59 AM - Ruedii

I've had this problem a lot recently on 0.23 with false reports of not enough electric charge in the right click boxes of reaction wheels.

If you want | can grab a photo.

#8 - 01/12/2014 01:02 AM - TruePikachu

| can confirm on 0.23, even with 100% full batteries. However, | also notice that many engines also act as a 0-charge battery, which might be related.

#9 - 01/24/2014 09:06 AM - Anonymous

| have game modded, don't know if it matters cause bug appeared when nothing was changed in at least week in files, but | guess still worth

mentioning.
Every already lunched vehicle works fine, no signs of problems

Every new I'm trying to build and lunch or use saved craft and lunch gets mentioned bug with "no electriccharge" message.
At VAB I've notice that batteries have "Electric Charge" stored and everything else that needs/produce power have "ElectricCharge".

Old ships have batteries with "ElectricCharge".
+update:

Every battery part I've checked in .cfg files have "ElectricCharge", no sign of "Electric Charge".

#10 - 11/21/2015 10:29 AM - sal_vager
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

No longer reproducible in build 1028, thanks for the report boolybooly!

#11-07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed

Files

screenshot204.png 1.69 MB 10/25/2013 boolybooly

Twin Probe.craft 246 KB 12/06/2013 boolybooly
